### A free/open-source library for quantitative finance

Classes
ql/experimental/exoticoptions/pagodaoption.hpp File Reference

Roofed Asian option on a number of assets. More...

`#include <ql/instruments/multiassetoption.hpp>`
`#include <ql/time/date.hpp>`
`#include <vector>`
Include dependency graph for pagodaoption.hpp:

## Classes

class | PagodaOption
| Roofed Asian option on a number of assets. More...
class | PagodaOption::engine
| Pagoda-option engine base class More...

## Detailed Description

Roofed Asian option on a number of assets.